<html>
<head>
<style type='text/css'>
html, body, div, span, p, blockquote, pre {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-weight: inherit;
	font-style: inherit;
	font-size: 100%;
	font-family: inherit;
	vertical-align: baseline;
}

body{
	line-height: 1;
	color: black;
	background: white;
	margin-left: 20px;
}

.src { 
	border: 1px solid #dddddd;
	padding-top: 10px;
	padding-right: 5px;
	padding-left: 5px;
	font-family: Consolas, Courier, monospace;
}


.covered {background-color: #ddffdd}
.uncovered {background-color: #ffdddd}
.killed {background-color: #aaffaa}
.survived {background-color: #ffaaaa}
.uncertain {background-color: #dde7ef}
.run_error {background-color: #dde7ef}
.na {background-color: #eeeeee}
.timed_out {background-color: #dde7ef}
.non_viable {background-color: #aaffaa}
.memory_error {background-color: #dde7ef}
.not_started {background-color: #dde7ef; color : red}
.no_coverage {background-color: #ffaaaa}


.pop {outline:none; }
.pop strong {line-height:30px;}
.pop {text-decoration:none;}
.pop span { z-index:10;display:none; padding:14px 20px; margin-top:-30px; margin-left:28px; width:800px; line-height:16px; word-wrap:break-word; }
.pop:hover span{ display:inline; position:absolute; color:#111; border:1px solid #DCA; background:#fffAF0;}

.pop span { border-radius:4px; -moz-border-radius: 4px; -webkit-border-radius: 4px; -moz-box-shadow: 5px 5px 8px #CCC; -webkit-box-shadow: 5px 5px 8px #CCC; box-shadow: 5px 5px 8px #CCC; }
</style>

</head>
<body>


<h1>Task.java</h1>

<table class="src">



<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_1'/>
1
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_1'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>package main;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_2'/>
2
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_2'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_3'/>
3
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_3'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>import java.time.LocalDateTime;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_4'/>
4
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_4'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>import java.util.ArrayList;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_5'/>
5
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_5'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>import java.util.List;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_6'/>
6
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_6'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_7'/>
7
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_7'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>public class Task {</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_8'/>
8
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_8'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  private String mDescription;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_9'/>
9
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_9'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  private boolean mCompleted;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_10'/>
10
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_10'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  private LocalDateTime mCreatedAt;</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_11'/>
11
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_11'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>  private static List&#60;Task&#62; instances = new ArrayList&#60;Task&#62;();</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_12'/>
12
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_12'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  private int mId;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_13'/>
13
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_13'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_14'/>
14
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_14'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>  public Task(String description) {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_15'/>
15
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_15'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>    mDescription = description;</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_16'/>
16
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_16'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>    mCompleted = false;</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_17'/>
17
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_17'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>    mCreatedAt = LocalDateTime.now();</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_18'/>
18
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_18'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>    instances.add(this);</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_19'/>
19
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_19'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>    mId = instances.size();</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_20'/>
20
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_20'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>  }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_21'/>
21
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_21'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_22'/>
22
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_22'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public String getDescription() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_23'/>
23
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_23'>1</a>
<span>

1. getDescription : mutated return of Object value for main/Task::getDescription to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>    return mDescription;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_24'/>
24
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_24'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_25'/>
25
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_25'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_26'/>
26
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_26'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public boolean isCompleted() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_27'/>
27
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_27'>1</a>
<span>

1. isCompleted : replaced return of integer sized value with (x == 0 ? 1 : 0) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>    return mCompleted;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_28'/>
28
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_28'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_29'/>
29
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_29'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_30'/>
30
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_30'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public LocalDateTime getCreatedAt() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_31'/>
31
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_31'>1</a>
<span>

1. getCreatedAt : mutated return of Object value for main/Task::getCreatedAt to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>    return mCreatedAt;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_32'/>
32
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_32'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_33'/>
33
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_33'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_34'/>
34
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_34'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public static List&#60;Task&#62; all() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_35'/>
35
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_35'>1</a>
<span>

1. all : mutated return of Object value for main/Task::all to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>   return instances;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_36'/>
36
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_36'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''> }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_37'/>
37
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_37'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_38'/>
38
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_38'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public static void clear() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_39'/>
39
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_39'>1</a>
<span>

1. clear : removed call to java/util/List::clear &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>    instances.clear();</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_40'/>
40
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_40'></a>
<span>
</span>
</td>
<td class='covered'><pre><span  class=''>  }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_41'/>
41
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_41'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_42'/>
42
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_42'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>  public int getId() {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_43'/>
43
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_43'>1</a>
<span>

1. getId : replaced return of integer sized value with (x == 0 ? 1 : 0) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>   return mId;</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_44'/>
44
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_44'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''> }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_45'/>
45
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_45'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_46'/>
46
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_46'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''> public static Task find(int id) {</span></pre></td></tr>


<tr>
<td class='covered'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_47'/>
47
</td>
<td class='killed'>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_47'>2</a>
<span>

1. find : Replaced integer subtraction with addition &rarr; KILLED<br/>

2. find : mutated return of Object value for main/Task::find to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED<br/>

</span>
</td>
<td class='covered'><pre><span  class='killed'>   return instances.get(id - 1);</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_48'/>
48
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_48'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''> }</span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_49'/>
49
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_49'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''></span></pre></td></tr>


<tr>
<td class='na'>
<a name='org.pitest.mutationtest.report.html.SourceFile@6aaceffd_50'/>
50
</td>
<td class=''>
<span class='pop'>
<a href='#grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_50'></a>
<span>
</span>
</td>
<td class=''><pre><span  class=''>}</span></pre></td></tr>



<tr><td></td><td></td><td><h2>Mutations</h2></td></tr>


<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_23'>23</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_23'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>getDescription<br/><b>Killed by : </b>tests.TaskTest.Task_instantiatesWithDescription_String(tests.TaskTest)</span></span> mutated return of Object value for main/Task::getDescription to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_27'>27</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_27'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>isCompleted<br/><b>Killed by : </b>tests.TaskTest.isCompleted_isFalseAfterInstantiation_false(tests.TaskTest)</span></span> replaced return of integer sized value with (x == 0 ? 1 : 0) &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_31'>31</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_31'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>getCreatedAt<br/><b>Killed by : </b>tests.TaskTest.getCreatedAt_instantiatesWithCurrentTime_today(tests.TaskTest)</span></span> mutated return of Object value for main/Task::getCreatedAt to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_35'>35</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_35'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>all<br/><b>Killed by : </b>tests.TaskTest.clear_emptiesAllTasksFromArrayList_0(tests.TaskTest)</span></span> mutated return of Object value for main/Task::all to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_39'>39</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_39'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>clear<br/><b>Killed by : </b>tests.TaskTest.clear_emptiesAllTasksFromArrayList_0(tests.TaskTest)</span></span> removed call to java/util/List::clear &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_43'>43</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_43'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>getId<br/><b>Killed by : </b>tests.TaskTest.find_returnsTaskWithSameId_secondTask(tests.TaskTest)</span></span> replaced return of integer sized value with (x == 0 ? 1 : 0) &rarr; KILLED</p> 
</td>
</tr>

<tr>
<td><a href='#org.pitest.mutationtest.report.html.SourceFile@6aaceffd_47'>47</a></td> 
<td></td>
<td>

<a name='grouporg.pitest.mutationtest.report.html.SourceFile@6aaceffd_47'/> 

<p class='KILLED'><span class='pop'>1.<span><b>1</b><br/><b>Location : </b>find<br/><b>Killed by : </b>tests.TaskTest.find_returnsTaskWithSameId_secondTask(tests.TaskTest)</span></span> Replaced integer subtraction with addition &rarr; KILLED</p> <p class='KILLED'><span class='pop'>2.<span><b>2</b><br/><b>Location : </b>find<br/><b>Killed by : </b>tests.TaskTest.find_returnsTaskWithSameId_secondTask(tests.TaskTest)</span></span> mutated return of Object value for main/Task::find to ( if (x != null) null else throw new RuntimeException ) &rarr; KILLED</p> 
</td>
</tr>

</table>


<h2>Active mutators</h2>
<ul>

<li class='mutator'>INCREMENTS_MUTATOR</li>

<li class='mutator'>VOID_METHOD_CALL_MUTATOR</li>

<li class='mutator'>RETURN_VALS_MUTATOR</li>

<li class='mutator'>MATH_MUTATOR</li>

<li class='mutator'>NEGATE_CONDITIONALS_MUTATOR</li>

<li class='mutator'>INVERT_NEGS_MUTATOR</li>

<li class='mutator'>CONDITIONALS_BOUNDARY_MUTATOR</li>

</ul>

<h2>Tests examined</h2>
<ul>
<li>tests.TaskTest.clear_emptiesAllTasksFromArrayList_0(tests.TaskTest) (0 ms)</li><li>tests.TaskTest.Task_instantiatesWithDescription_String(tests.TaskTest) (0 ms)</li><li>tests.TaskTest.isCompleted_isFalseAfterInstantiation_false(tests.TaskTest) (1 ms)</li><li>tests.TaskTest.getId_tasksInstantiateWithAnID_1(tests.TaskTest) (1 ms)</li><li>tests.TaskTest.getCreatedAt_instantiatesWithCurrentTime_today(tests.TaskTest) (1 ms)</li><li>tests.TaskTest.all_returnsAllInstancesOfTask_true(tests.TaskTest) (1 ms)</li><li>tests.TaskTest.find_returnsTaskWithSameId_secondTask(tests.TaskTest) (0 ms)</li>
</ul>

<br/>

Report generated by <a href='http://pitest.org'>PIT</a> 1.1.11

</body>
</html>